javax.swing.text.html

## Class FormSubmitEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.HyperlinkEvent
    - - javax.swing.text.html.HTMLFrameHyperlinkEvent
      - - javax.swing.text.html.FormSubmitEvent

All Implemented Interfaces:
  Serializable

    public class FormSubmitEvent
    extends HTMLFrameHyperlinkEvent

FormSubmitEvent is used to notify interested parties that a form was submited.

Since:
  1.5

### Nested Class Summary

Nested Classes
`static class` `FormSubmitEvent.MethodType` Represents an HTML form method type.

### Nested classes/interfaces inherited from class javax.swing.event.HyperlinkEvent

`HyperlinkEvent.EventType`

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Method Summary

Methods
`String` `getData()` Gets the form submission data.
`FormSubmitEvent.MethodType` `getMethod()` Gets the form method type.

### Methods inherited from class javax.swing.text.html.HTMLFrameHyperlinkEvent

`getTarget`

### Methods inherited from class javax.swing.event.HyperlinkEvent

`getDescription, getEventType, getSourceElement, getURL`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getMethod

    public FormSubmitEvent.MethodType getMethod()

Gets the form method type.

Returns:
  the form method type, either `Method.GET` or `Method.POST`.

#### getData

    public String getData()

Gets the form submission data.

Returns:
  the string representing the form submission data.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.